[FASTCGI] FastCGI via Apache 2.4/trunk

Sam Minning samming at live.com
Tue Sep 7 00:28:42 EDT 2010


hello guys,



I was concerned whether fastcgi may be used with the newest apache
versions, I would like to take advantage of some new features there
but after I prepared everything to work I noticed that mod_fastcgi does
not compile with 2.3.8-alpha, the newest trunk release.

Any ideas there? I really need fastcgi, the list of compile errors is long,
mostly something like

mod_fastcgi.c:297: warning: initialization from incompatible pointer type
mod_fastcgi.c:1413: error: request for member ‘log’ in something not a structure or union
mod_fastcgi.c:1413: error: request for member ‘connection’ in something not a structure or union
mod_fastcgi.c:1413: error: request for member ‘server’ in something not a structure or union

/apache2_dir/include/http_log.h:299: note: expected ‘apr_status_t’ but argument is of type ‘struct server_rec *’

and so on. This is really annoying, any ideas perhaps ..?

regards,
Sam 		 	   		  
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mailman.pins.net/mailman/private.cgi/fastcgi-developers/attachments/20100907/f0a256f6/attachment.html>


More information about the FastCGI-developers mailing list